//nlApiUtilExtension用のJavaScript
/* 
 * rev16 時点
 * 
 */
function makeRankTable(data,exp) {
	var time=["daily","weekly","monthly","total"];
	var type=["view","res","mylist","fav"];
	var linkdata="";
	var ret = "<table border=1 cellpadding=5 cellspacing=0 style=\"margin-top:2px;\">";
	ret+="<tr><th><b>"+data+"</b></th>";
	if(data == "all") ret+="<th>毎時</th>";
	ret+="<th>毎日</th><th>週間</th><th>月間</th><th>合計</th></tr>";
	for(var i=0; i<4; i++){
		ret+="<tr><th>"+type[i]+"</th>";
		if(data == "all") ret+="<td><a href=\"./ids?ranking="+type[i]+"/hourly/"+data+"\">"+type[i]+"/hourly/"+data+"</a></td>";
		for(var j=0; j<4; j++){
			linkdata=type[i]+"/"+time[j]+"/"+data;
			ret+="<td><a href=\"./ids?ranking="+linkdata+"\">"+linkdata+"</a></td>";
		}
		ret+="</tr>";
	}
	ret += "</table>";
	if(data =="null"){
		document.getElementById(exp).innerHTML = "";
	}else{
		document.getElementById(exp).innerHTML = ret;
	}
}
function openImg(id) {
	//var imgurl = "http://tn-skr1.smilevideo.jp/smile?i=";
	var srvno = id % 4 + 1;
	var desc="<img width=\"65\" height=\"50\" src=\"http://tn-skr"+srvno+".smilevideo.jp/smile?i="+id+"\">";
	document.getElementById(id).innerHTML = desc;
}
function getFIAdd(id,from,num) {
	var desc = "<span id=\""+num+"\">"+
	"<a href=\"javascript:void(0)\" onclick=\"getFIAdd2('"+id+"','"+from+"','"+num+"')\">(addok?/"+id+")</a></span>";
	document.getElementById(num).innerHTML = desc;
}
function getFIRemove(id,from,num) {
	var desc = "<span id=\""+num+"\">"+
	"<a href=\"javascript:void(0)\" onclick=\"getFIRemove2('"+id+"','"+from+"','"+num+"')\">(rmok?/"+id+")</a></span>";
	document.getElementById(num).innerHTML = desc;
}
function removeId(id,num) {
	var desc = "<span id=\""+num+"\">"+
	"<a href=\"javascript:void(0)\" onclick=\"removeId2('"+id+"','"+num+"')\">(rmok?/"+id+")</a></span>";
	document.getElementById(num).innerHTML = desc;
}
function removeFetchId(id,num) {
	var desc = "<span id=\"ferm_"+num+"\">"+
	"<a href=\"javascript:void(0)\" onclick=\"removeFetchId2('"+id+"','ferm_"+num+"')\">(rmok?/"+id+")</a></span>";
	document.getElementById(num).innerHTML = desc;
}
function getFIAdd2(id,from,num) {
	new Ajax.Request("/cache/ids",{
		method : 'get',
		parameters : 'add'+from+'='+id,
		onComplete : function(res) {
			document.getElementById(num).innerHTML = res.responseText;
		},
		onFailure: function(e) {
			document.getElementById(num).innerHTML = "error";
		}
	});
}
function getFIRemove2(id,from,num) {
	new Ajax.Request("/cache/ids",{
		method : 'get',
		parameters : 'remove'+from+'='+id,
		onComplete : function(res) {
			document.getElementById(num).innerHTML = res.responseText;
		},
		onFailure: function(e) {
			document.getElementById(num).innerHTML = "error";
		}
	});
}
function getThumInfo(smid,num) {
	new Ajax.Request("/cache/ids",{
		method : 'get',
		parameters : 'getthinfo='+smid,
		onComplete : function(res) {
			document.getElementById(num).innerHTML = res.responseText;
		},
		onFailure: function(e) {
			document.getElementById(num).innerHTML = "error";
		}
	});
}
function removeId2(id,num) {
	new Ajax.Request("/cache/ajax_rm",{
		method : 'get',
		parameters : id,
		onComplete : function(res) {
			document.getElementById(num).innerHTML = res.responseText;
		},
		onFailure: function(e) {
			document.getElementById(num).innerHTML = "error";
		}
	});
}
function removeFetchId2(id,num) {
	new Ajax.Request("/cache/fetch",{
		method : 'get',
		parameters : "rm="+id,
		onComplete : function(res) {
			document.getElementById(num).innerHTML = res.responseText;
		},
		onFailure: function(e) {
			document.getElementById(num).innerHTML = "error";
		}
	});
}
function addDefMylist(id,token,num) {
	new Ajax.Request("http://www.nicovideo.jp/api/deflist/add",{
		method : 'POST',
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		parameters: {
			"item_type": "0",
			"item_id": id,
			"description": "nlApiUtilExtension から登録されました。",
			"token": token
		},
		onComplete : function(res) {
			document.getElementById(num).innerHTML = res.responseText.match(/"status":"([^"]+)"/)[1];
		},
		onFailure: function(e) {
			document.getElementById(num).innerHTML = "error";
		}
	});
}
function addDefMylist_nt(smid,num) {
	new Ajax.Request("http://www.nicovideo.jp/mylist_add/video/" + smid, {
		method: "get",
		onSuccess: function (httpObj) {
			var item_type = httpObj.responseText.match(/name="item_type" value="(\d*)"/)[1];
			var item_id = httpObj.responseText.match(/name="item_id" value="(\d*)"/)[1];
			var token = httpObj.responseText.match(/NicoAPI.token = "([^"]+)"/)[1];
			new Ajax.Request("http://www.nicovideo.jp/api/deflist/add", {
				method: 'POST',
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				parameters: {
					"item_type": item_type,
					"item_id": item_id,
					"description": "nlApiUtilExtension から登録されました。",
					"token": token
				},
				onComplete : function(res) {
					document.getElementById(num).innerHTML = res.responseText.match(/"status":"([^"]+)"/)[1];
				},
				onFailure: function(e) {
					document.getElementById(num).innerHTML = "error";
				}
				});
			}
	});
}

function showHide(id){
	var disp = document.getElementById(id).style.display;
	if(disp == "block"){
		document.getElementById(id).style.display = "none";
	}else{
		document.getElementById(id).style.display = "block";
	}
	return false;
}
